%define modulename html5-parser

Name:		python-%{modulename}
Summary:	Fast C based HTML 5 parsing for python
Version:	0.4.10
Release:	%mkrel 3
Group:		Development/Python
License:	Apache 2.0
URL:		https://pypi.python.org/project/html5-parser
Source0:	https://files.pythonhosted.org/packages/source/h/%{modulename}/%{modulename}-%{version}.tar.gz

BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3dist(setuptools)


%description
A fast, standards compliant, C based, HTML 5 parser for python. Over thirty
times as fast as pure python based parsers, such as html5lib.

%package -n python3-%{modulename}
Summary:	A Python 3 based HTML parser/tokenizer
Group:		Development/Python
%{?python_provide:%python_provide python3-%{modulename}}

%description -n python3-%{modulename}
A fast, standards compliant, C based, HTML 5 parser for python. Over thirty
times as fast as pure python based parsers, such as html5lib.

%prep
%setup -q -n %{modulename}-%{version}

%build
%py3_build

%install
%py3_install

%check
nosetests || true
nosetests-%{python3_version} || true

%files -n python3-%{modulename}
%doc LICENSE README.rst
%{python3_sitearch}/html5_parser-*.egg-info
%{python3_sitearch}/html5_parser



%changelog
* Fri Mar 18 2022 umeabot <umeabot> 0.4.10-3.mga9
+ Revision: 1799024
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 0.4.10-2.mga9
+ Revision: 1774562
- update to python 3.10

* Sun Nov 28 2021 guillomovitch <guillomovitch> 0.4.10-1.mga9
+ Revision: 1759738
- new version 0.4.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.4.9-2.mga9
+ Revision: 1705059
- rebuild for python 3.9

* Thu Feb 20 2020 guillomovitch <guillomovitch> 0.4.9-1.mga8
+ Revision: 1545848
- new version 0.4.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4.8-3.mga8
+ Revision: 1531583
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.4.8-2.mga8
+ Revision: 1440446
- rebuild for python-3.8
- drop python2 subpkg

* Fri Aug 30 2019 guillomovitch <guillomovitch> 0.4.8-1.mga8
+ Revision: 1435778
- new version 0.4.8

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.4.7-1.mga8
+ Revision: 1417234
- new version 0.4.7

* Tue Jan 08 2019 tv <tv> 0.4.5-2.mga7
+ Revision: 1351689
- rebuild with python 3.7

* Thu Nov 01 2018 kekepower <kekepower> 0.4.5-1.mga7
+ Revision: 1327159
- Update to version 0.4.5
- Renamed python-html5-parser to python2-html5-parser
- Use python_provides

* Sun Sep 23 2018 umeabot <umeabot> 0.4.4-2.mga7
+ Revision: 1300497
- Mageia 7 Mass Rebuild

* Thu Sep 14 2017 guillomovitch <guillomovitch> 0.4.4-1.mga7
+ Revision: 1153876
- imported package python-html5-parser

